Page MenuHomePhabricator

Unify access log schema for Action API and API Gateway/REST API
Closed, ResolvedPublic

Description

Perhaps we do not need to unify the schemas completely, but we need to have as much common components as possible.

Event Timeline

Pchelolo created this task.Aug 5 2020, 5:58 PM
Pchelolo moved this task from Ready to Doing on the Platform Team Workboards (Green) board.
mforns edited projects, added Analytics-Radar; removed Analytics.Aug 10 2020, 3:42 PM

Change 619349 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[schemas/event/primary@master] Add api-gateway/request schema

https://gerrit.wikimedia.org/r/619349

Change 620777 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[operations/mediawiki-config@master] Add api-gateway.request stream config

https://gerrit.wikimedia.org/r/620777

Change 620779 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[operations/deployment-charts@master] Precache /api-gateway/request/1.0.0 schema in eventgate-analytics

https://gerrit.wikimedia.org/r/620779

Change 619349 merged by Ppchelko:
[schemas/event/primary@master] Add api-gateway/request schema

https://gerrit.wikimedia.org/r/619349

Change 620777 merged by jenkins-bot:
[operations/mediawiki-config@master] Add api-gateway.request stream config

https://gerrit.wikimedia.org/r/620777

Mentioned in SAL (#wikimedia-operations) [2020-08-17T21:48:57Z] <ppchelko@deploy1001> sync-file aborted: Add api-gateway.request stream config T259736 (duration: 05m 01s)

Mentioned in SAL (#wikimedia-operations) [2020-08-17T21:53:25Z] <ppchelko@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Add api-gateway.request stream config T259736, one host timed out (duration: 00m 55s)

Change 620779 merged by jenkins-bot:
[operations/deployment-charts@master] Precache /api-gateway/request/1.0.0 schema in eventgate-analytics

https://gerrit.wikimedia.org/r/620779

Change 620795 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[operations/deployment-charts@master] Add primary schemas to eventgate-analytics

https://gerrit.wikimedia.org/r/620795

Change 620795 merged by jenkins-bot:
[operations/deployment-charts@master] Add primary schemas to eventgate-analytics

https://gerrit.wikimedia.org/r/620795

Pchelolo closed this task as Resolved.Aug 17 2020, 10:28 PM